{% extends 'HCUEAtencionMedicBundle::layout.html.twig' %}

{% set appVoter='Core\\SeguridadBundle\\Security\\Authorization\\Voter\\AppVoter' %}
{% set icon='icon-internal-medicine' %}

{% block title %} Atención Médica {% endblock title %}

{% block page_header_content %}
    {% if visible %}
        {% if funcespecialidad and funcespecialidad|length > 0 %}
            <div class="row">
                <div class="col-md-5" style="margin: 5px 0;">
                    {% if especialidad.valor %}
                        {% set icon=especialidad.valor %}
                    {% endif %}
                    <ul class="nav no-margin pull-left">
                        <li class="dropdown-modal">
                            <a data-toggle="dropdown" href="#" class="dropdown-toggle no-padding">
                                <i class="ace-icon {{ icon }} bigger-220"></i>
                            </a>
                            {% if funcespecialidad|length > 1 %}
                                <ul class="dropdown-menu-left dropdown-menu dropdown-light dropdown-caret dropdown-close"
                                    style="min-width: 150px; padding: 10px;">
                                    {% for esp in funcespecialidad %}
                                        {% if esp.ctespecialidad.valor %}
                                            {% set icon=esp.ctespecialidad.valor %}
                                        {% endif %}
                                        <li>
                                            <a class="grey"
                                               href="{{ path('hcue_amed_dashboard_header',{'especialidad_id': esp.ctespecialidadid}) }}">
                                                <i class="blue ace-icon {{ icon }} bigger-170"
                                                   style="vertical-align: middle;"></i>
                                                <i class="ace-icon fa fa-angle-double-right"
                                                   style="padding-left: 5px;"></i>
                                                &nbsp;<b>{{ esp.ctespecialidad.descripcion }}</b>
                                            </a>
                                        </li>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                        </li>
                    </ul>
                    <h1>
                        <i class="ace-icon fa fa-angle-double-right" style="padding-left: 10px;"></i>
                        {{ especialidad.descripcion }}
                    </h1>
                </div>
                <div class="col-md-5" style="margin: 5px 0;">
                    <form id="formBusqueda">
                        <div class="input-group width-100">
                            <span class="input-group-addon">
                                <i class="ace-icon fa fa-male"></i>
                            </span>
                            <input type="text" class="form-control search-query alphanumeric" id="search-field"
                                   placeholder="Nº Identificación o Nº Historia clínica" autocomplete="off"/>
                            <span class="input-group-btn">
                            <button type="button" class="btn_botonera btn btn-sm btn-success" id="search-button">
                                <i class="ace-icon fa fa-search bigger-110"></i>
                            </button>
                            </span>
                        </div>
                    </form>

                </div>
                <div class="col-md-2 center" style="margin: 5px 0;">
                    <button type="button" class="btn_botonera btn btn-sm btn-info" id="advanced-search-button"
                            title="Búsqueda avanzada">
                        <i class="ace-icon fa fa-search bigger-110"></i>
                    </button>
                    <button type="button" class="btn_botonera btn btn-sm btn-default" id="clean-button" title="Limpiar">
                        <i class="ace-icon fa fa-eraser bigger-110"></i>
                    </button>
                    {% if is_granted(constant(appVoter~'::ADD')) %}
                        <button type="button" class="btn_botonera btn btn-sm btn-success" id="new-attention-button"
                                title="Nueva Atención">
                            <i class="ace-icon fa fa-plus-circle bigger-110"> </i>
                        </button>
                    {% endif %}
                </div>
            </div>
        {% endif %}
    {% endif %}
{% endblock page_header_content %}

{% block bradcrumbs '' %}

{% block page_main_content %}
    {% if visible %}
        {% if funcespecialidad and funcespecialidad|length > 0 %}
            <div class="row">
                <div class="col-sm-12 width-100">
                    <div id="accordion" class="accordion-style1 panel-group">
                        {{ render(controller('HCUEAtencionMedicBundle:Dashboard:atencionesiniciadas',{'especialidad_id': especialidad.id})) }}
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h4 class="panel-title">
                                    <a class="accordion-toggle collapsed" data-toggle="collapse"
                                       data-parent="#accordion" href="#collapseTwo" data-load="false"
                                       data-tab-url="{{ path('hcue_amed_dashboard_atencionesfinalizadas', {'especialidad_id': especialidad.id}) }}">
                                        <i class="ace-icon fa fa-angle-right bigger-110"
                                           data-icon-hide="ace-icon fa fa-angle-down"
                                           data-icon-show="ace-icon fa fa-angle-right"></i>
                                        Atenciones Finalizadas
                                    </a>
                                </h4>
                            </div>
                            <div class="panel-collapse collapse" id="collapseTwo"></div>
                        </div>
                    </div>
                </div>
            </div>
        {% else %}
            <div class="alert alert-danger">
                <strong>
                    <i class="ace-icon fa fa-times"></i>
                    Oh lo sentimos !
                </strong>
                El usuario no tiene especialidades autorizadas, comuníquese con el administrador.
                <br>
            </div>
        {% endif %}
    {% endif %}
{% endblock page_main_content %}

{% block foot_script %}
    {% if visible %}
        {{ parent() }}
        <script type="text/javascript">
            $("#sidebar").removeClass("menu-min");
            $('.panel').on('shown.bs.collapse', function () {

                var toogle = $(this).find("a[data-toggle='collapse']");
                var href = toogle.attr('href');
                var tab_url = toogle.attr('data-tab-url');
                var data_load = toogle.attr('data-load');

                if (tab_url != undefined && data_load == 'false') {

                    $(href).html("<div class='center bigger-140' id='process_div'>Procesando ..... <br><i class='ace-icon fa fa-spinner fa-spin green bigger-170'></i></div>");
                    $(href).load(tab_url, function () {
                        toogle.attr('data-load', true);
                    });

                }
            })
        </script>

        <script type="text/javascript">
            var especialidad_id = {{ especialidad.id }}
            var especialidadName = '{{ especialidad.descripcion }}';
            var iniciadas = 0;
            var finalizadas = 0;
            var pacienteName = '';
            var busqueda = true;
            var new_attention = $('#new-attention-button');
            var search_field = $('#search-field');
            var search_button = $('#search-button');
            new_attention.attr('disabled', true);
            var string_searched='';

            $(function () {
                $("#formBusqueda").inputAlphanumForm();
                search_field.keyup(function (){
                    $(this).val($(this).val().toUpperCase());
                })
            });

            search_button.click(function () {
                string_searched = search_field.val();
                if ($.trim(string_searched) !== "") {
                    $('.btn_botonera').attr('disabled', true);
                    if (busqueda) {
                        $.ajax({
                            type: 'GET',
                            url: "{{ path('hcue_amed_dashboard_findpaciente') }}/" + string_searched,
                            cache: false,
//                            async: false,
                            success: function (data) {
                                if (data.status==0) {
                                    clean(false);
                                    loadViewer('{{ path('hcue_amed_paciente_selectpaciente') }}/'+string_searched);
                                    $.gritter.add({
                                        title: 'Advertencia!',
                                        text: 'Se ha encontrado más de un registro con el número de historia clínica '+ string_searched+ ' pro favor seleccione al paciente que corresponda.',
                                        time: 5000,
                                        class_name: 'gritter-error gritter-light'
                                    });
                                    busqueda = true;
                                    $('.btn_botonera').removeAttr('disabled');
                                }
                                else {
                                    $.ajax({
                                        type: 'POST',
                                        dataType: 'html',
                                        url: "{{ path('hcue_amed_dashboard_paciente') }}",
                                        data: {identification: string_searched},
                                        cache: false,
                                        beforeSend: function () {
                                            $('#panel-paciente').remove();
                                            $('#accordion').append("<div class='center bigger-140' id='process_div'>Procesando ... <br><i class='ace-icon fa fa-spinner fa-spin green bigger-170'></i></div>");
                                            busqueda = false;
                                        },
                                        success: function (data){
                                            busqueda = true;
                                            $('.btn_botonera').removeAttr('disabled');
                                            $('#process_div').remove();
                                            $('#accordion').append(data);
                                            $('#search-field').val('');
                                            $('#panel-paciente .accordion-toggle').trigger('click');
                                        }
                                    })
//                                        .done(function (data) {
//                                            if(data.indexOf('Informativo') == -1){
//                                                wsseguro(string_searched);
//                                            }
//                                        })
                                    ;
                                }
                            }
                        });
                    }
                } else {
                    $.alert("Ingrese el dato a buscar", "warning");
                }
            });

            function wsseguro(cedula) {

                var ajaxSeguro = $.ajax({
                    type: 'GET',
                    dataType: 'json',
                    async: false,
                    timeout: 10000,
                    url: "{{ path('hcue_amed_paciente_seguro') }}/" + cedula,
                    beforeSend: function () {
                        $('#seguro_social').html("&nbsp;<i class='ace-icon fa fa-spinner fa-spin green bigger-140'></i>");
                        $('.btn_botonera').attr('disabled', true);
                    },
                    success: function (json) {
                        if (json.status) {
                            $('#seguro_social').html(json.seguro);
                            $('.btn_botonera').attr('disabled', false);
                        }
                    },
                    error: function (json) {
                        $('#seguro_social').html("<span class='red'>Servicio de consulta no disponible.</span>");
                        $('.btn_botonera').attr('disabled', false);
                    }
                });
            }

            $("#clean-button").click(function () {
                clean(false);
            });

            new_attention.click(function () {

                var text = 'atenciones';
                if (iniciadas == 1 || finalizadas == 1) {
                    text = 'atención';
                }

                if (iniciadas > 0) {
                    var info = 'El paciente (' + pacienteName + ') tiene (' + iniciadas + ') ' + text + ' pendiente por finalizar, finalice para crear una nueva atención.';
                    $.alert("<div class='alert alert-warning'>" + info + "</div>")
                }
                else {
                    var warning = "<br><p class='center'>¿Está seguro que desea registrar una nueva atención?</p>";
                    var info = "";
                    if (finalizadas > 0) {
                        info += '<p>- El paciente (' + pacienteName + ') tiene (' + finalizadas + ') ' + text + ' finalizadas con la especialidad (' + especialidadName + ').</p>';
                    }
                    if (atencionesiniciadas == 1) {
                        info += "<p>- Usted tiene atenciones pendientes por finalizar.</p>";
                    }

                    $.confirm("<div class='alert alert-warning center'>" + info + warning + "</div>", function (result) {
                        if (result) {
                            var path = '{{ path('hcue_amed_atencion_add') }}';
//                        window.location = path + '/' + $('#paciente_id').val() + '/' + especialidad_id;
                            var jsonparams = {
                                "paciente_id": $('#paciente_id').val(),
                                "especialidad_id": especialidad_id
                            }

//                            $.openWindowWithPost(path, '', '', '', '', jsonparams);
                            $.ajax({
                                type: 'GET',
                                dataType: 'json',
                                url: "{{ path('hcue_amed_atencion_validate') }}",
                                data: jsonparams,
                                beforeSend: function () {
                                    new_attention.attr('disabled', false);
                                },
                                success: function (json) {
                                    if (json.status) {
                                        $.openWindowWithPost(path, '', '', '', '', jsonparams);
                                    } else {
                                        $.gritter.add({
                                            title: 'Información!',
                                            text: json.message,
                                            time: 1500,
                                            class_name: 'gritter-error gritter-light'
                                        });
                                    }
                                }
                            });
                        }
                    });
                }
            });

            search_field.keyup(function () {
                if ($(this).val() === "") {
                    clean(false);
                }
            });

            search_field.keydown(function (e) {
                if (e.which === 13) {
                    e.preventDefault();
                    search_button.click();
                }
            });

            function clean(flag) {
                $('#panel-paciente').remove();
                new_attention.prop('disabled', true);
                $('#panel-iniciadas .accordion-toggle').trigger('click');
                search_field.val('').focus();
            }

            $('#advanced-search-button').click(function () {
                loadViewer('{{ path('hcue_amed_paciente_search') }}');
            });

            function loadViewer(url) {
                var config = {
                    id: 'paciente_modal',
                    url: url,
                    title: 'Búsqueda de paciente',
                    autoOpen: true,
                    //ancho del modal
                    width: '80%',
                    //alto del modal
                    height: ''
                };
                $.loadModalViewer(config);
            }

            $('#accordion').on('click', '#viewPaciente', function () {
                $.include_once('modalViewer', function () {
                    $('<div/>').modalViewer({
                        autoOpen: true,
                        url: '{{ path('hcue_amed_paciente_view') }}/' + $('#paciente_id').val(),
                        title: 'Datos de Paciente',
                        width: '90%',
                        height: '100%'
                    });
                });
            });
        </script>
    {% endif %}
{% endblock %}